package com.palmnest.model.estateserve;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * ScPicandtextdetailstemp entity.
 *
 * @author MyEclipse Persistence Tools
 */
@Entity
@Table(name = "tb_picandtextdetailstemp")
public class Picandtextdetailstemp implements java.io.Serializable {

	// Fields

	private Integer picAndTextDetailsTempId;
	private Integer picAndTextTempId;
	private String  title;
	private String  description;
	private String  picUrl;
	private String  url;
	private String  sequence;
	private Integer replyKeywordsId;
	//private String showPicUrl;//前端显示图片地址

	// Constructors


	/**
	 * default constructor
	 */
	public Picandtextdetailstemp() {
	}

	/**
	 * minimal constructor
	 */
	public Picandtextdetailstemp(Integer picAndTextDetailsTempId) {
		this.picAndTextDetailsTempId = picAndTextDetailsTempId;
	}

	/**
	 * full constructor
	 */
	public Picandtextdetailstemp(Integer picAndTextDetailsTempId,
								 Integer picAndTextTempId, String title, String description,
								 String picUrl, String url, String sequence, Integer replyKeywordsId) {
		this.picAndTextDetailsTempId = picAndTextDetailsTempId;
		this.picAndTextTempId = picAndTextTempId;
		this.title = title;
		this.description = description;
		this.picUrl = picUrl;
		this.url = url;
		this.sequence = sequence;
		this.replyKeywordsId = replyKeywordsId;
	}

	// Property accessors
	@Id
	@GeneratedValue(strategy = GenerationType.AUTO)
	@Column(name = "PicAndTextDetailsTempId", unique = true, nullable = false)
	public Integer getPicAndTextDetailsTempId() {
		return this.picAndTextDetailsTempId;
	}

	public void setPicAndTextDetailsTempId(Integer picAndTextDetailsTempId) {
		this.picAndTextDetailsTempId = picAndTextDetailsTempId;
	}

	@Column(name = "PicAndTextTempId")
	public Integer getPicAndTextTempId() {
		return this.picAndTextTempId;
	}

	public void setPicAndTextTempId(Integer picAndTextTempId) {
		this.picAndTextTempId = picAndTextTempId;
	}

	@Column(name = "Title", length = 45)
	public String getTitle() {
		return this.title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	@Column(name = "Description", length = 128)
	public String getDescription() {
		return this.description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	@Column(name = "PicUrl", length = 128)
	public String getPicUrl() {
		return this.picUrl;
	}

	public void setPicUrl(String picUrl) {
		this.picUrl = picUrl;
	}

	@Column(name = "Url", length = 128)
	public String getUrl() {
		return this.url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	@Column(name = "Sequence", length = 11)
	public String getSequence() {
		return sequence;
	}

	public void setSequence(String sequence) {
		this.sequence = sequence;
	}

	@Column(name = "ReplyKeywordsId")
	public Integer getReplyKeywordsId() {
		return replyKeywordsId;
	}

	public void setReplyKeywordsId(Integer replyKeywordsId) {
		this.replyKeywordsId = replyKeywordsId;
	}
	
/*	@Column(name = "showPicUrl")
	public String getShowPicUrl() {
		return showPicUrl;
	}

	public void setShowPicUrl(String showPicUrl) {
		this.showPicUrl = showPicUrl;
	}*/
}